import { createStackNavigator } from "react-navigation-stack";
import { createAppContainer } from 'react-navigation';
import React from "react";

import HomeScreen from '../screens/HomeScreen';
import MocionScreen from '../screens/MocionScreen';
import Header from '../shared/header';

{/*Aqui deberan estar todas las pantallas de la aplicacion
   no olvide hacer 'import MyPage from './MyPage' */}
const screens = {
    Home: {
        screen: HomeScreen,
        navigationOptions: {
           headerTitle: () => <Header />
        }
    },

    Mocion: {
        screen: MocionScreen,
        navigationOptions: {
            headerTitle: () => <Header />
        }


    }
}

const HomeStack = createStackNavigator(screens, {
    defaultNavigationOptions: {
        title: 'MocinesIUPI',
        headerStyle:  { backgroundColor: "#e81b39",}
    }
});

export default createAppContainer(HomeStack);